Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDWEEKDAYvalues

    java.lang.Object
      java.lang.Enum<CDWEEKDAYvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDWEEKDAYvalues

All Implemented Interfaces:
  Serializable, Comparable<CDWEEKDAYvalues>

    public enum CDWEEKDAYvalues

extends Enum<CDWEEKDAYvalues>

Java class for CD-WEEKDAYvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-WEEKDAYvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="sunday"/>
         <enumeration value="monday"/>
         <enumeration value="tuesday"/>
         <enumeration value="wednesday"/>
         <enumeration value="thursday"/>
         <enumeration value="friday"/>
         <enumeration value="saturday"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`FRIDAY`
`MONDAY`
`SATURDAY`
`SUNDAY`
`THURSDAY`
`TUESDAY`
`WEDNESDAY`

Method Summary
`static CDWEEKDAYvalues` | `fromValue(String v)`
`String` | `value()`
`static CDWEEKDAYvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDWEEKDAYvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SUNDAY

    public static final CDWEEKDAYvalues SUNDAY

### MONDAY

    public static final CDWEEKDAYvalues MONDAY

### TUESDAY

    public static final CDWEEKDAYvalues TUESDAY

### WEDNESDAY

    public static final CDWEEKDAYvalues WEDNESDAY

### THURSDAY

    public static final CDWEEKDAYvalues THURSDAY

### FRIDAY

    public static final CDWEEKDAYvalues FRIDAY

### SATURDAY

    public static final CDWEEKDAYvalues SATURDAY

Method Detail

### values

    public static CDWEEKDAYvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDWEEKDAYvalues c : CDWEEKDAYvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDWEEKDAYvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDWEEKDAYvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.18.0 API
Copyright © {inceptionYear}-2019 eHealth. All Rights Reserved.